%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate toml

Name:           rust-toml0.7
Version:        0.7.8
Release:    1%{?dist}
Summary:        Native Rust encoder and decoder of TOML-formatted files and streams

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/toml
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A native Rust encoder and decoder of TOML-formatted files and streams.
Provides implementations of the standard Serialize/Deserialize traits
for TOML data to facilitate deserializing and serializing Rust
structures.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+display-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+display-devel %{_description}

This package contains library source intended for building other packages which
use the "display" feature of the "%{crate}" crate.

%files       -n %{name}+display-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+indexmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+indexmap-devel %{_description}

This package contains library source intended for building other packages which
use the "indexmap" feature of the "%{crate}" crate.

%files       -n %{name}+indexmap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+parse-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parse-devel %{_description}

This package contains library source intended for building other packages which
use the "parse" feature of the "%{crate}" crate.

%files       -n %{name}+parse-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+preserve_order-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+preserve_order-devel %{_description}

This package contains library source intended for building other packages which
use the "preserve_order" feature of the "%{crate}" crate.

%files       -n %{name}+preserve_order-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.8-1
- initial build
